# AI-Foundations - Jupyter Exercises

The Notebooks can be found in the folder `nbs` in this repository, on the [jupyter.tschiera.ch](https://jupyter.tschiera.ch) instance it is under `ai-foundations`.

## Usage

If not using docker, clone this repo and open the created directory (usually `jupyter-notebook`).
If using docker, a docker installation and preferably docker-compose is required.

### Run it locally using docker-compose

Clone the repository and use `docker-compose.yml` to run it,
ie. `docker-compose up --pull`, and opening your browser at [localhost:8888](localhost:8888).

### locally w/o docker

Install all required dependencies, open the file of interest with you preferred method.
Since this method has too many choices, we assume you know what you are doing :-).

## Development

**WARNING**: Using the compose file in the `docker` does
persist the notebook files, be carefull when running them.

- To change the notebooks you may use any setup you like, and edit the notebooks in the `nbs` folder.
- For checking the validity or adding new dependencies/modifying the docker-image:
  - Change to the the folder `docker` folder and use `docker-compose build --pull`
  - docker-compose up
  - navigate to [localhost:8989](localhost:8989)

### Running gitlab runner locally

install the gitlab-runner binary, then you can use it to test the builds beforehand, ie.:

`gitlab-runner exec docker build`
