#!/bin/bash
set -e

export MODULE_FOLDER="ai-foundations"

setup_data() {
    if [[ ! -d "${HOME}/work/${MODULE_FOLDER}" ]]; then
        echo "Create module folder in working directory"
        mkdir -p "${HOME}/work/${MODULE_FOLDER}"
    fi
    rsync -R --ignore-existing "/nbs/" "${HOME}/work/${MODULE_FOLDER}/"
    chmod -R +w "${HOME}/work/${MODULE_FOLDER}"
}

setup_data
